A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
getOffset
ArrayFire Functions by Category » Functions to work with internal array layout

## Functions
AFAPI dim_t | getOffset (const array &in)
AFAPI af_err | af_get_offset (dim_t *offset, const af_array arr)

## Detailed Description

Get Offset of the underlying data.

## Function Documentation

## ◆ af_get_offset()

AFAPI af_err af_get_offset | ( | dim_t * | offset,
|  | const af_array | arr )

Parameters

  [in] | arr | An multi dimensional array.
  [out] | offset | Offset from the starting location of data pointer specified in number of elements. distance between each consecutive element along first dimension.

## ◆ getOffset()

AFAPI dim_t getOffset | ( | const array & | in | ) |

Parameters

  [in] | in | An multi dimensional array.

Returns
  offset from the starting location of data pointer specified in number of elements.